From ff78d9af034d113cefc9861b7069f1ff08212c1e Mon Sep 17 00:00:00 2001
From: Jeff Rizzo <riz@tastylime.net>
Date: Sun, 20 Dec 2015 08:22:22 -0800
Subject: [PATCH 08/18] Add ieee80211_htframe struct, for rt2860.  No actual
 11n support.

---
 sys/net80211/ieee80211.h | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/sys/net80211/ieee80211.h b/sys/net80211/ieee80211.h
index 81bdad4..34c76bd 100644
--- a/sys/net80211/ieee80211.h
+++ b/sys/net80211/ieee80211.h
@@ -81,6 +81,17 @@ struct ieee80211_qosframe {
 	/* see below */
 } __packed;
 
+struct ieee80211_htframe {		/* 11n */
+	u_int8_t	i_fc[2];
+	u_int8_t	i_dur[2];
+	u_int8_t	i_addr1[IEEE80211_ADDR_LEN];
+	u_int8_t	i_addr2[IEEE80211_ADDR_LEN];
+	u_int8_t	i_addr3[IEEE80211_ADDR_LEN];
+	u_int8_t	i_seq[2];
+	u_int8_t	i_qos[2];
+	u_int8_t	i_ht[4];
+} __packed;
+
 struct ieee80211_qoscntl {
 	u_int8_t	i_qos[2];
 };
-- 
2.5.2


